//<c>   Copyright 1997-1998 by Gerry J. Danen; all rights reserved.

//<t>   Set current directory in environment via a batch file

#include"gd_tools.h"


void    main( int argc, char *argv[] )
{
    FILE        *bat;
    UCHAR       bFile[FS_LEN], cd[FS_LEN] ;

    if ( argc == 1 )
        ST_CPY( bFile, "cd-setb.bat" );
    else
        ST_CPY( bFile, argv[1] );

    _getcwd( cd, sizeof(cd) );                  // get current drive/directory

    bat = fopen( bFile, "w" );
    if ( bat )
    {
        fprintf( bat, "@echo off\n set gd.curdir=%s\n", cd );
        fclose( bat );
        exit( 0 );
    }

    exit( 1 );
}
